1

I have created a Payment Gateway plugin for Magento. The PSP is Payrexx. This Payment Module extension is created on Magento 2. Within the modules, we have used the external third party PHP library. For Manual installation, we are running the following command

 php bin/magento module:enable Payrexx_PaymentGateway
 php bin/magento setup:upgrade

But the issue is:

" php bin/magento setup:di:compile " While running this command we are getting fatal error for class not found, though this command is absolutely necessary to run our modules.

closed as off-topic by Murtuza Zabuawala, Manoj Deswal, 7ochem, Priyank, Manashvi Birla Apr 30 '18 at 12:51

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions about third-party modules are generally off-topic because the scope of functionality and code are not available. For more information, see this meta post/answer." – Murtuza Zabuawala, Manoj Deswal, 7ochem, Priyank, Manashvi Birla
If this question can be reworded to fit the rules in the help center, please edit the question.

  • please detail your answer with complete error and which lib you used – Murtuza Zabuawala Apr 27 '18 at 6:58
  • 1
    It seems like the third party library is missing under lib folder , but providing more details about the error can help to understand this issue – Pravin Apr 27 '18 at 13:18
  • Thanks Murtuza and Pravin I shall update more details soon. – Sharmistha Apr 28 '18 at 17:21
  • Hi Murtuza and Pravin Thanks for your response. – Sharmistha Apr 30 '18 at 6:52
  • @Murtuza Zabuawala @ Pravin , Thanks for your response. We have used the third-party library "Payrexx" (payrexx.com/en/home) within the module under the lib folder. For manual installation, we have used the command "php bin/magento setup:di:compile" in root, We are getting the fatal error for class not found in the included third-party library. How to implement the third-party library without any error? Is necessary to run the command "php bin/magento setup:di:compile"? – Sharmistha Apr 30 '18 at 6:54
0

As its open source extension I spent some time to investigate this ,

What I found out is that to run this extension You need to install this following lib.

https://github.com/payrexx/payrexx-php

  • Yes Murtuza we need to install the github.com/payrexx/payrexx-php in our extension – Sharmistha Apr 30 '18 at 8:25
  • @Sharmistha if my answer solved your concern then mark as accepted , so other user take benifit – Murtuza Zabuawala Apr 30 '18 at 9:20
  • @Sharmistha on the left hand side you will see right tick mark(✔️) , click on that mark so others can wasily see those and its a practice in stackexchange when you accept answer then you click that right mark(✔️) – Murtuza Zabuawala May 1 '18 at 8:11

Not the answer you're looking for? Browse other questions tagged or ask your own question.